storefronts / Page templates
POST
/api/page-template-entriesCreate Page Template Entry
Creates a page-template entry for a project owned by the authenticated user, resolving and storing its variable values.
GETPOST
Authentication
- Requirement
- Required
- Credential type
- session
- Scopes
- Not specified
Permissions
- Requires an authenticated storefront session.
Headers
Path Parameters
Query Parameters
Request Body
Schema: CreateEntryBody
| Field | Required | Type | Details |
|---|---|---|---|
project_id | No | integer | Description: Target project identifier. |
template_id | Yes | integer | Description: Identifier for template. |
title | Yes | string | Description: Display title. |
slug | No | string | Description: URL-safe slug value. |
route | Yes | string | Description: Text value. |
status | No | string | Description: Resource status value. |
meta_title | No | string | Description: Display title. |
meta_description | No | string | Description: Text value. |
schema_json | No | string | Description: Text value. |
faq_config | No | JSON | Description: JSON object. |
values | No | object | Description: JSON object. |
Response Body
Example 200 response
json
{
"id": 1,
"project_id": 1,
"template_id": 1,
"title": "Example",
"slug": "example-slug",
"route": "string",
"status": "active",
"meta_title": "string",
"meta_description": "string",
"schema_json": "string",
"faq_config": {},
"values": {},
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z"
}Errors
400 entry_title_required400 page_link_invalid400 page_template_required_value_missing400 project_id_required400 template_project_mismatch404 page_template_not_found404 project_not_found500 page_template_entry_create_failedAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

